<template>
  <div id="app">
    <v-app id="inspire"
      style="background:transparent">
        <v-navigation-drawer
          fixed
          app
          v-model="drawer"
          style="width:280px;background:#2a434d">
          <div style="width:100%;height:100px;"></div>
          <drawer-component/>
        </v-navigation-drawer>
        <v-toolbar color="primary"
          dark
          fixed
          app
          flat
          style="position:relative;height:56px;">
          <v-toolbar-side-icon @click.stop="drawer = !drawer"></v-toolbar-side-icon>
          <v-toolbar-title>
            Stock Management System
          </v-toolbar-title>
          <v-menu offset-y
            id="userIconPreferencesCircleContainer">
            <v-btn fab
              depressed
              dark
              small
              color="lightBackground"
              slot="activator">
              <v-icon dark id="userIconPreferences">
                person
              </v-icon>
            </v-btn>
            <v-list>
              <v-list-tile>
                <v-list-tile-title @click="logout">
                  Sign out
                </v-list-tile-title>
              </v-list-tile>
              <v-list-tile>
                <v-list-tile-title @click="logout">
                  My profile
                </v-list-tile-title>
              </v-list-tile>
            </v-list>
          </v-menu>
        </v-toolbar>
        <v-content style="padding-top:12px;margin-left:5px;">
            <router-view></router-view>
        </v-content>
        <v-snackbar
          :timeout="timeout"
          :top="y === 'top'"
          :bottom="y === 'bottom'"
          :right="x === 'center'"
          :left="x === 'left'"
          :multi-line="mode === 'multi-line'"
          :vertical="mode === 'vertical'"
          v-model="snackbar"
          color="lightError">
          <v-icon right
            dark
            large
            style="padding-right:10px;">
            mood_bad
          </v-icon>
          {{ text }}
          <v-btn flat
            color="white"
            @click.native="closeEroorSnackBar">
            Close
          </v-btn>
        </v-snackbar>
        <v-snackbar
          :timeout="timeout"
          :top="y === 'top'"
          :bottom="y === 'bottom'"
          :right="x === 'center'"
          :left="x === 'left'"
          :multi-line="mode === 'multi-line'"
          :vertical="mode === 'vertical'"
          v-model="success_snackbar"
          color="secondary"
          style="font-size: 20px;font-weight: 400;">
          <v-icon right
            dark
            large
            style="padding-right:10px;">
            check
          </v-icon>
          {{ success_text }}
          <v-btn flat
            color="white"
            @click.native="closeSuccessrSnackBar">
            Close
          </v-btn>
        </v-snackbar>
    </v-app>
  </div>
</template>

<script>
import DrawerComponent from './navigationDrawer.vue'
export default{
  name: 'HomePageComponent',
  components: {
    DrawerComponent
  },
  data: () => ({
    drawer: null,
    y: 'top',
    x: 'left',
    mode: '',
    timeout: null
  }),
  computed: {
    snackbar () {
      return this.$store.state.errorModal
    },
    text () {
      return this.$store.state.errorMessage
    },
    success_snackbar () {
      return this.$store.state.successModal
    },
    success_text () {
      return this.$store.state.successMessage
    }
  },
  methods: {
    logout () {
      this.$store.dispatch('AUTH_LOGOUT')
        .then(() => {
          this.$router.push('/')
        })
    },
    closeEroorSnackBar () {
      this.$store.commit('HIDE_ERROR_SNACK_BAR')
    },
    closeSuccessrSnackBar () {
      this.$store.commit('HIDE_SUCCESS_SNACK_BAR')
    }
  }
}
</script>
<style>
#userIconPreferences{
  color: #4d4d4d;
  font-size: 30px;
  padding-top: 3px;
}
#userIconPreferencesCircleContainer{
  position: absolute;
  right: 10px;
}
.toolbar__content{
  height: 54px !important;
}
</style>
